This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 17426 - Help does not work for some dialogs (code problem)
Summary: Help does not work for some dialogs (code problem)
Status: CLOSED FIXED
Alias: None
Product: editor
Classification: Unclassified
Component: -- Other -- (show other bugs)
Version: 3.x
Hardware: Sun Solaris
: P3 blocker (vote)
Assignee: David Konecny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-11-08 14:56 UTC by Jan Lahoda
Modified: 2007-11-05 13:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2001-11-08 14:56:57 UTC
Help does not work for Find and Replace dialogs. Build 200111010100.
For more information, please look to second part of bug:
http://openide.netbeans.org/issues/show_bug.cgi?id=6393
Comment 1 David Konecny 2001-11-09 11:50:00 UTC
I don't know how is it possible that it works in 3.2, because there 
was bug in map which translates names of classes into name of help 
IDs. The the name of the class for Find dialog (what is in fact inner 
class) was defined as 
"org.netbeans.editor.ext.FindDialogSupport.FindPanel" instead of 
"org.netbeans.editor.ext.FindDialogSupport$FindPanel".

Fixed in file:
Checking in src/org/netbeans/modules/editor/NbDialogSupport.java;
new revision: 1.5; previous revision: 1.4
Comment 2 Jan Lahoda 2001-11-12 16:01:29 UTC
The code problem looks solved, but it looks to me that some focus
problem like described in:
http://www.netbeans.org/issues/show_bug.cgi?id=17424
persisted.
Verifying this bug in 200111120100 (the code part).
Comment 3 Quality Engineering 2003-06-30 18:14:36 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.